// !!! IMPORTANT: This file is autogenerated !!!
// If you want to add of modify icons please read README.md to find out how to do it

export const icons = {
    accounts: require('../assets/icons/accounts.svg'),
    action: require('../assets/icons/action.svg'),
    actionHorizontal: require('../assets/icons/actionHorizontal.svg'),
    arrowDown: require('../assets/icons/arrowDown.svg'),
    arrowDownLight: require('../assets/icons/arrowDownLight.svg'),
    arrowLineUpRight: require('../assets/icons/arrowLineUpRight.svg'),
    arrowURightDown: require('../assets/icons/arrowURightDown.svg'),
    arrowUp: require('../assets/icons/arrowUp.svg'),
    arrowUpRight: require('../assets/icons/arrowUpRight.svg'),
    backspace: require('../assets/icons/backspace.svg'),
    biometric: require('../assets/icons/biometric.svg'),
    bookmark: require('../assets/icons/bookmark.svg'),
    bugBeetle: require('../assets/icons/bugBeetle.svg'),
    calendar: require('../assets/icons/calendar.svg'),
    caretCircleDown: require('../assets/icons/caretCircleDown.svg'),
    change: require('../assets/icons/change.svg'),
    check: require('../assets/icons/check.svg'),
    checkCircle: require('../assets/icons/checkCircle.svg'),
    checkCircleSolid: require('../assets/icons/checkCircleSolid.svg'),
    chevronDown: require('../assets/icons/chevronDown.svg'),
    chevronLeft: require('../assets/icons/chevronLeft.svg'),
    chevronRight: require('../assets/icons/chevronRight.svg'),
    chevronUp: require('../assets/icons/chevronUp.svg'),
    chevronUpAndDown: require('../assets/icons/chevronUpAndDown.svg'),
    circleRight: require('../assets/icons/circleRight.svg'),
    circleRightLight: require('../assets/icons/circleRightLight.svg'),
    clock: require('../assets/icons/clock.svg'),
    clockClockwise: require('../assets/icons/clockClockwise.svg'),
    close: require('../assets/icons/close.svg'),
    closeCircle: require('../assets/icons/closeCircle.svg'),
    confirmation: require('../assets/icons/confirmation.svg'),
    copy: require('../assets/icons/copy.svg'),
    database: require('../assets/icons/database.svg'),
    detective: require('../assets/icons/detective.svg'),
    discover: require('../assets/icons/discover.svg'),
    eject: require('../assets/icons/eject.svg'),
    externalLink: require('../assets/icons/externalLink.svg'),
    eye: require('../assets/icons/eye.svg'),
    eyeClosed: require('../assets/icons/eyeClosed.svg'),
    eyeSlash: require('../assets/icons/eyeSlash.svg'),
    eyeSlashLight: require('../assets/icons/eyeSlashLight.svg'),
    eyeSlashSolid: require('../assets/icons/eyeSlashSolid.svg'),
    eyeglasses: require('../assets/icons/eyeglasses.svg'),
    face: require('../assets/icons/face.svg'),
    faceId: require('../assets/icons/faceId.svg'),
    facebook: require('../assets/icons/facebook.svg'),
    fingerprint: require('../assets/icons/fingerprint.svg'),
    flag: require('../assets/icons/flag.svg'),
    ghost: require('../assets/icons/ghost.svg'),
    github: require('../assets/icons/github.svg'),
    hiddenWallet: require('../assets/icons/hiddenWallet.svg'),
    home: require('../assets/icons/home.svg'),
    info: require('../assets/icons/info.svg'),
    infoLight: require('../assets/icons/infoLight.svg'),
    label: require('../assets/icons/label.svg'),
    lifebuoy: require('../assets/icons/lifebuoy.svg'),
    link: require('../assets/icons/link.svg'),
    lock: require('../assets/icons/lock.svg'),
    minus: require('../assets/icons/minus.svg'),
    minusCircle: require('../assets/icons/minusCircle.svg'),
    noConnection: require('../assets/icons/noConnection.svg'),
    notifications: require('../assets/icons/notifications.svg'),
    palette: require('../assets/icons/palette.svg'),
    paper: require('../assets/icons/paper.svg'),
    password: require('../assets/icons/password.svg'),
    pdf: require('../assets/icons/pdf.svg'),
    pencil: require('../assets/icons/pencil.svg'),
    pencilUnderscored: require('../assets/icons/pencilUnderscored.svg'),
    placeholder: require('../assets/icons/placeholder.svg'),
    plus: require('../assets/icons/plus.svg'),
    plusCircle: require('../assets/icons/plusCircle.svg'),
    prices: require('../assets/icons/prices.svg'),
    qrCode: require('../assets/icons/qrCode.svg'),
    qrCodeImport: require('../assets/icons/qrCodeImport.svg'),
    question: require('../assets/icons/question.svg'),
    questionLight: require('../assets/icons/questionLight.svg'),
    questionMark: require('../assets/icons/questionMark.svg'),
    receive: require('../assets/icons/receive.svg'),
    receiveAlt: require('../assets/icons/receiveAlt.svg'),
    reject: require('../assets/icons/reject.svg'),
    search: require('../assets/icons/search.svg'),
    searchLight: require('../assets/icons/searchLight.svg'),
    send: require('../assets/icons/send.svg'),
    sendAlt: require('../assets/icons/sendAlt.svg'),
    settings: require('../assets/icons/settings.svg'),
    share: require('../assets/icons/share.svg'),
    shareAlt: require('../assets/icons/shareAlt.svg'),
    shieldWarning: require('../assets/icons/shieldWarning.svg'),
    shuffle: require('../assets/icons/shuffle.svg'),
    stack: require('../assets/icons/stack.svg'),
    standardWallet: require('../assets/icons/standardWallet.svg'),
    swap: require('../assets/icons/swap.svg'),
    syncedCoin: require('../assets/icons/syncedCoin.svg'),
    tokens: require('../assets/icons/tokens.svg'),
    tor: require('../assets/icons/tor.svg'),
    touchId: require('../assets/icons/touchId.svg'),
    trade: require('../assets/icons/trade.svg'),
    trash: require('../assets/icons/trash.svg'),
    trashAlt: require('../assets/icons/trashAlt.svg'),
    treeStructure: require('../assets/icons/treeStructure.svg'),
    trezor: require('../assets/icons/trezor.svg'),
    trezorConnectedDark: require('../assets/icons/trezorConnectedDark.svg'),
    trezorConnectedLight: require('../assets/icons/trezorConnectedLight.svg'),
    trezorT1B1: require('../assets/icons/trezorT1B1.svg'),
    trezorT2B1: require('../assets/icons/trezorT2B1.svg'),
    trezorT2T1: require('../assets/icons/trezorT2T1.svg'),
    trezorT3T1: require('../assets/icons/trezorT3T1.svg'),
    twitter: require('../assets/icons/twitter.svg'),
    userFocus: require('../assets/icons/userFocus.svg'),
    warningCircle: require('../assets/icons/warningCircle.svg'),
    warningCircleLight: require('../assets/icons/warningCircleLight.svg'),
    warningOctagon: require('../assets/icons/warningOctagon.svg'),
    warningTriangle: require('../assets/icons/warningTriangle.svg'),
    warningTriangleLight: require('../assets/icons/warningTriangleLight.svg'),
} as const;
export type IconName = keyof typeof icons;

export const cryptoIcons = {
    ada: require('../assets/cryptoIcons/ada.svg'),
    bch: require('../assets/cryptoIcons/bch.svg'),
    btc: require('../assets/cryptoIcons/btc.svg'),
    btg: require('../assets/cryptoIcons/btg.svg'),
    dash: require('../assets/cryptoIcons/dash.svg'),
    dgb: require('../assets/cryptoIcons/dgb.svg'),
    doge: require('../assets/cryptoIcons/doge.svg'),
    dsol: require('../assets/cryptoIcons/dsol.svg'),
    etc: require('../assets/cryptoIcons/etc.svg'),
    eth: require('../assets/cryptoIcons/eth.svg'),
    gnt: require('../assets/cryptoIcons/gnt.svg'),
    ltc: require('../assets/cryptoIcons/ltc.svg'),
    matic: require('../assets/cryptoIcons/matic.svg'),
    name: require('../assets/cryptoIcons/name.svg'),
    nmc: require('../assets/cryptoIcons/nmc.svg'),
    regtest: require('../assets/cryptoIcons/regtest.svg'),
    sol: require('../assets/cryptoIcons/sol.svg'),
    tada: require('../assets/cryptoIcons/tada.svg'),
    test: require('../assets/cryptoIcons/test.svg'),
    thol: require('../assets/cryptoIcons/thol.svg'),
    tsep: require('../assets/cryptoIcons/tsep.svg'),
    txrp: require('../assets/cryptoIcons/txrp.svg'),
    vtc: require('../assets/cryptoIcons/vtc.svg'),
    xrp: require('../assets/cryptoIcons/xrp.svg'),
    zec: require('../assets/cryptoIcons/zec.svg'),
} as const;
export type CryptoIconName = keyof typeof cryptoIcons;

export const flagIcons = {
    cz: require('../assets/flags/cz.svg'),
} as const;
export type FlagIconName = keyof typeof flagIcons;
